// To compile:
// 	dfl dfldllexe


import dfl.all, dfl.internal.winapi;


extern(C) alias void function() Proc;


void main()
{
	with(new Form)
	{
		text = "EXE";
		show();
	}
	
	auto h1 = LoadLibraryA(r"dfldll1.DLL");
	if(!h1)
	{
		auto err = cast(int)GetLastError();
		msgBox("dll1 not loaded! #" ~ std.string.toString(err));
	}
	else
	{
		auto p1 = cast(Proc)GetProcAddress(h1, "doit");
		
		if(!p1)
			msgBox("dll1.doit not found!");
		else
			p1();
	}
	
	auto h2 = LoadLibraryA(r"dfldll2.DLL");
	if(!h2)
	{
		auto err = cast(int)GetLastError();
		msgBox("dll2 not loaded! #" ~ std.string.toString(err));
	}
	else
	{
		auto p2 = cast(Proc)GetProcAddress(h2, "doit");
		
		if(!p2)
			msgBox("dll2.doit not found!");
		else
			p2();
	}
	
	printf("Ctrl+C or close console to quit\n");
	
	Application.run();
}

